#ifndef DEACTIVATE_A_H_
#define DEACTIVATE_A_H_

// Author: Steve Talbot

#pragma once

using namespace std;

#include "MDA_EFSM.h"
#include "String_Utilities.h"
#include <iostream>

class deactivate_a {

public:
	deactivate_a();
	~deactivate_a();

	bool virtual deactivate( Data* data_, MDA_EFSM* M_ ) = 0;

};

#endif /*DEACTIVATE_A_H_*/
